مشکل ionCube Loader در ماژول های فراسو

pandsoft

عضو تایید شده
کاربر انجمن
عضویت
7/11/16
ارسال ها
20
امتیاز
1
سن
42
در نصب ماژول ریز نمایندگی irnic و فارسی ساز فراسو مشکل latest version of the ionCube Loader دارم
هاست من اشتراکی هستش و ورژن ionCube PHP Loade در هاست v4.4.3

چکار باید کرد سرویس دهنده هم آپدیت نمی کنه

راه حلی نداره ؟
 

Hossein

عضو نیمه حرفه ای
کاربر انجمن
عضویت
29/9/15
ارسال ها
72
امتیاز
3
سن
26
قبلا در این مورد با آقای زین العابدین بحث شده و پاسخ رو دادن :

در نصب ماژول ریز نمایندگی irnic و فارسی ساز فراسو مشکل latest version of the ionCube Loader دارم
هاست من اشتراکی هستش و ورژن ionCube PHP Loade در هاست v4.4.3

چکار باید کرد سرویس دهنده هم آپدیت نمی کنه

راه حلی نداره ؟
 

Hossein

عضو نیمه حرفه ای
کاربر انجمن
عضویت
29/9/15
ارسال ها
72
امتیاز
3
سن
26
پاسخ :
ماژول های فراسو در حال منطبق شدن است اما حجم تغییر بالا است چون در بسیاری از ماژول ها از امکانات توابع mysql_ استفاده شده است که کلا در php 7 حذف شده اند
لذا نیاز به تغییر تمامی موارد و تست مجدد تمامی ماژول ها است
البته خود whmcs یک امکان backward compatibility برای این مشکلات اضافه کرده که توابع mysql_ را در php 7 نظیر سازی می کند ( البته نه تمامی توابع را فقط تابع های اصلی )
لذا تا 60 الی 70 درصد ماژول ها در php 7 کار می کنند
ولی بهتر است منتظر باشید تا کامل ماژول ها تغییر داده شوند این تغییر هم فکر کنم برای تمامی ماژول ها تا اول سال میلادی جدید طول بکشه
باز اگر ماژولی است که دارید استفاده می کنید میتونید تیکت بزنید که آپدیت شده یا خیر
 

pandsoft

عضو تایید شده
کاربر انجمن
عضویت
7/11/16
ارسال ها
20
امتیاز
1
سن
42
با تشکر
خلاصه الان موندم چکار کنم نه فارسی ساز کار می کنه نه ماژول ایرنیک...
سرویس دهنده هاست هم که آپدیت نمی کنه
 

farid

مدیر کل انجمن
عضو کادر مدیریت
مدیر کل انجمن
عضویت
20/5/15
ارسال ها
452
امتیاز
10
وب سایت
faraso.org
سلام
پاسخی که بنده داده بودم که شما نقل قول کردید در رابطه با منطبق کردن ماژول ها با php ورژن 7 بود اما اگر شما ioncube loader زیر 5 دارید حتما باید ارتقا
دهید ورژن رو به 5 به بعد وگر نه ماژول ها کار نخواهند کرد چون کدینگ های جدید منطبق با ioncube loader 5 به بعد است
 

pandsoft

عضو تایید شده
کاربر انجمن
عضویت
7/11/16
ارسال ها
20
امتیاز
1
سن
42
درود بر شما
هاست رو تغییر و ورژن php رو 5.6 و ioncube loader را به آخرین نسخه ارتقا دادم و مشکل حل شد
با تشکر
 
بالا